From cca30cdd6ff144eef8f70d4741a78da13f785efb Mon Sep 17 00:00:00 2001
From: Hao Song <baritono.tux@gmail.com>
Date: Mon, 20 Jul 2009 14:31:26 +0800
Subject: [PATCH] ALSA: hda - Add quirk for Gateway T6834c laptop
Status: O

Gateway T6834c laptops need EAPD always on while the default behavior
for the STAC9205 reference board is to turn it off upon every HP plug.
By using the special "eapd" model, which is first introduced for Gateway
T1616 laptops for this same reason, this peculiarity can be properly
handled.

Signed-off-by: Hao Song <baritono.tux@gmail.com>
---
 sound/pci/hda/patch_sigmatel.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/sound/pci/hda/patch_sigmatel.c b/sound/pci/hda/patch_sigmatel.c
index 41b5b3a..d9efe5c 100644
--- a/sound/pci/hda/patch_sigmatel.c
+++ b/sound/pci/hda/patch_sigmatel.c
@@ -2379,6 +2379,7 @@ static struct snd_pci_quirk stac9205_cfg_tbl[] = {
 		      "Dell Vostro 1500", STAC_9205_DELL_M42),
 	/* Gateway */
 	SND_PCI_QUIRK(0x107b, 0x0565, "Gateway T1616", STAC_9205_EAPD),
+	SND_PCI_QUIRK(0x107b, 0x0560, "Gateway T6834c", STAC_9205_EAPD),
 	{} /* terminator */
 };
 
-- 
1.6.0.4
